%define     UpstreamName SemanticMediaWiki

Name:       mediawiki116-semantic
Version:    1.5.6
Release:    2%{?dist}
Summary:    An extension of MediaWiki that improves content organization
Group:      Applications/Internet
License:    GPL+ and GPLv2+ and MIT
URL:        http://semantic-mediawiki.org
Source0:    http://downloads.sourceforge.net/semediawiki/%{UpstreamName}%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Requires:   mediawiki116


%description
Semantic MediaWiki (SMW) is a free, open-source extension to MediaWiki – the
wiki software that powers Wikipedia – that lets you store and query data within
the wiki's pages.

Semantic MediaWiki is also a full-fledged framework, in conjunction with many
spinoff extensions, that can turn a wiki into a powerful and flexible
“collaborative database”. All data created within SMW can easily be published
via the Semantic Web, allowing other systems to use this data seamlessly.


%prep
%setup -q -n %{UpstreamName}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki116/extensions/%{UpstreamName}
cat <<EOF>README.fedora
To complete installation of %{name}: add the following two lines to
LocalSettings.php:

  include_once("\$IP/extensions/SemanticMediaWiki/includes/SMW_Settings.php");
  enableSemantics('example.org');

for each MediaWiki instance you wish to install %{name} on.  Note that
example.org should be replaced by your server's name (or IP address).

Additional database changes are detailed in the online installation
instructions available at http://semantic-mediawiki.org/wiki/Help:Installation.
EOF
cp -pa includes languages maintenance skins specials $RPM_BUILD_ROOT%{_datadir}/mediawiki116/extensions/%{UpstreamName}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki116/extensions/%{UpstreamName}
%doc COPYING INSTALL README README.fedora RELEASE-NOTES


%changelog
* Wed Jul 06 2011 James Laska <jlaska@redhat.com> 1.5.6-2
- Updated package license to GPL+ and GPLv2+ and MIT

* Thu Jun 16 2011 James Laska <jlaska@redhat.com> 1.5.6-1
- Update to 1.5.6

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 11 2009 James Laska <jlaska@redhat.com> 1.4.2-1
- Initial packaging of 1.4.2
